Bug 220316 - sftp -p error in duplicity 0.4.2-5.fc6
sftp -p error in duplicity 0.4.2-5.fc6
Product: Fedora
Classification: Fedora
Component: duplicity (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-20 07:12 EST by Callum Macdonald
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-20 08:56:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/usr/lib/python2.X/site-packages/duplicity/backends.py (15.50 KB, text/plain)
2006-12-20 07:44 EST, Robert Scheck
no flags Details

  None (edit)
Description Callum Macdonald 2006-12-20 07:12:48 EST
Description of problem:
Upgrading to the recently released 0.4.2-5.fc6 breaks sftp support. The error
reported is:
sftp: illegal option -- p

The command duplicity is calling is:
'echo -e 'cd dir/
ls -1' | sftp -p 22 -b - sitename'

Version-Release number of selected component (if applicable):

How reproducible:
Try any sftp based backup.

Additional info:

I haven't tested this particularly thoroughly. I downgraded to the previous
release (0.4.2-3.fc6) and it works again. I left it at that.
Comment 1 Robert Scheck 2006-12-20 07:44:55 EST
Created attachment 144094 [details]
Comment 2 Robert Scheck 2006-12-20 07:48:02 EST
Can you please try to replace your "/usr/lib/python2.4/site-packages/duplicity/
backends.py" file by the attachment above and re-try to see whether the problem 
is solved? Please note, that duplicity the first time should be executed as root 
to re-generate the backends.pyc and backends.pyo files caused by my change.

Could you also tell me the command how are you calling duplicity itself? I never 
used the sftp support and so I'm ending up in: Unknown protocol 'sftp' :(
Comment 3 Robert Scheck 2006-12-20 08:22:07 EST
Comment on attachment 144094 [details]

Ush...please ignore what I wrote, the whole patch is heavily broken, even if
the original idea of the author was very good.
Comment 4 Robert Scheck 2006-12-20 08:56:19 EST
Your problem should disappear in 0.4.2-6 again...sorry!
Comment 5 Callum Macdonald 2006-12-21 02:52:20 EST
Great, thanks for the super swift response, I'll hold off upgrading till I see
0.4.2-6 pop up in the repo... :)

Note You need to log in before you can comment on or make changes to this bug.